List all roles in NetApp Console local deployment
GET /roles
Lists all roles.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
filter |
string |
query |
False |
Specifies which fields should be matched when listing tenancy resources. Supported operators:
Expressions can be chained with URL example: "filter=resourceType%20eq%20'organization'%20or%20state%20ne%20'INACTIVE'" URL example with grouping: "filter=(resourceType%20eq%20'organization'%20or%20state%20ne%20'INACTIVE')%20and%20tier%20gt%20'1'" OpenAPI examples: "resourceType eq 'organization' and state ne 'INACTIVE'" |
skip |
string |
query |
False |
Specifies the number of resources to skip when listing a collection. URL examples: "skip=1" OpenAPI examples: "1" |
include |
string |
query |
False |
Specifies which fields should be returned when listing a collection. URL examples: "include=id", "include=id,name" OpenAPI examples: "id" |
limit |
string |
query |
False |
Specifies the maximum number of resources to return when listing a collection. URL examples: "limit=2" OpenAPI examples: "2" |
orderBy |
string |
query |
False |
Indicates the sort order of resources when listing a collection. URL examples: "orderBy=name", "orderBy=name%20desc" OpenAPI examples: "name desc" |
count |
string |
query |
False |
Indicates if the total number of resources should be returned in the response object. URL examples: "count=true" OpenAPI examples: "true" |
continue |
string |
query |
False |
Indicates the token to resume from when listing a collection. URL examples: "continue=[Continue Token from Collection Metadata]" OpenAPI examples: "[Continue Token from Collection Metadata]" |
Response
Status: 200, List of all roles.
| Name | Type | Required | Description |
|---|---|---|---|
continue |
string |
False |
Pagination cursor for resuming the list from the next page. Only returned when more results exist beyond the current page. Pass this value back as the |
count |
int |
False |
Total number of resources matching the query, independent of pagination. |
items |
array[role_1.0_get_response_body] |
True |
JSON array containing the resource objects returned for the current page of the collection. |
metadata |
False |
Metadata associated with a list of resources. |
Example response
{
"continue": "string",
"items": [
{
"category": "IAM",
"description": "This role have alpha & beta permissions for NetApp Sales Territory",
"id": "666a3f38-d4fa-5b62-a391-a69029758d32",
"isAgentRole": "true",
"isServiceAccountRole": "true",
"isSystem": "true",
"isUserRole": "true",
"links": [
{
"hints": {
"allow": [
"string"
],
"permissions": [
"string"
],
"status": "string"
},
"href": "string",
"rel": "string",
"title": "string",
"type": "string"
}
],
"metadata": {
"createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"labels": [
{
"name": "string",
"value": "string"
}
],
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
},
"name": "StorageAdmin",
"roleInternalName": "ORGANIZATION_ADMIN",
"roles": [
"33475e47-e975-48db-936d-73c53d96450b",
"04779339-9192-462c-88ee-8df050ef06c8"
],
"tags": [
"object"
],
"type": "application/vnd.netapp.bxp.role",
"version": "1.0"
}
],
"metadata": {
"createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"labels": [
{
"name": "string",
"value": "string"
}
],
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
}
}
Definitions
See Definitions
accept-post
Provides details about which media types are accepted when creating a resource.
accept-put
Indicates details about what media types are accepted when updating a resource.
hints
Provides details about how a link can be interacted with, such as allowed methods, required permissions, and accepted media types for create/update operations.
| Name | Type | Required | Description |
|---|---|---|---|
accept-post |
False |
Provides details about which media types are accepted when creating a resource. |
|
accept-put |
False |
Indicates details about what media types are accepted when updating a resource. |
|
allow |
array[string] |
False |
An array of methods that can be used to interact with the link target. Defined values for collections: "POST" - Indicates if new resources can be created in the collection. Defined values for resources: "PUT" - Indicates if the resource can be modified "DELETE" - Indicates if the resource can be deleted |
permissions |
array[string] |
False |
List of the permissions required to use the link. |
status |
string |
False |
Indicates if the target of the link is deprecated. Defined values are: "deprecated" |
targetSchema
Link to a JSON schema that can be used to validate the target of the link (response body).
The preferred format is a $ref link to an external schema.
This field is optional and should only be included when there is a known schema for the target of the href.
See https://json-schema.org/draft/2019-09/json-schema-hypermedia.html#rfc.section.9.2 for more details.
type_bxp_link
Link relationship
| Name | Type | Required | Description |
|---|---|---|---|
hints |
False |
Provides details about how a link can be interacted with, such as allowed methods, required permissions, and accepted media types for create/update operations. |
|
href |
string |
True |
String describing a relative URI. |
rel |
string |
True |
The type of relationship for the link. Values are defined in the IANA Link Relationships registry, or an extension relationship type as specified in section 2.1.2 of RFC 8288. |
targetSchema |
False |
Link to a JSON schema that can be used to validate the target of the link (response body). The preferred format is a $ref link to an external schema. This field is optional and should only be included when there is a known schema for the target of the href. See https://json-schema.org/draft/2019-09/json-schema-hypermedia.html#rfc.section.9.2 for more details. |
|
title |
string |
False |
Label of a link such that it can be used as a human-readable identifier (e.g., a menu entry). Minimum length: 0 Maximum length: 1023 |
type |
string |
False |
The media type of the target of the href. This field is optional and should be included when there is a known media type for the target of the href. See https://developer.mozilla.org/en-US/docs/Web/HTML/Element/link for more details. |
type_bxp_label
Name/value pair.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the label. |
value |
string |
True |
Value of the label. |
type_bxp_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
createdBy |
string |
False |
UUID of the user who created the resource. |
creationTimestamp |
string |
False |
Resource creation date. |
labels |
array[type_bxp_label] |
False |
Array of name/value pairs representing additional information for the resource. |
modificationTimestamp |
string |
False |
Resource modification date. |
modifiedBy |
string |
False |
UUID of the user who modified the resource. |
role_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
category |
string |
False |
Specifies the classification of the role.
|
description |
string |
False |
JSON string containing the description of the role. Defined values are: * Minimum length: 1 * Maximum length: 254 * This string is internally validated to prevent XSS, Unicode, directory traversal, and SQL-injection attacks. |
id |
string |
True |
Globally unique identifier of the resource. Defined values are:
|
isAgentRole |
string |
False |
Specifies if the role can be used for a Agent. Defined values are:
|
isServiceAccountRole |
string |
False |
Specifies if the role can be used for a Service Account. Defined values are:
|
isSystem |
string |
False |
Specifies if an object is system generated. Defined values are:
|
isUserRole |
string |
False |
Specifies if the role can be used for a User. Defined values are:
|
links |
array[type_bxp_link] |
False |
Array of link relationships associated with the resource or collection. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
JSON string containing a name for the role. Defined values are:
|
roleInternalName |
string |
False |
JSON string containing an internal name for the role used by the UI to validate role name changes. Value is the same as internalName in the private field. Defined values are:
|
roles |
array[string] |
False |
Array containing the UUIDs of child roles. Each UUID in the array represents a role that is a child of the aggregate (parent) role. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs). |
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource. Defined values are:
|
type_bxp_metadata_list
Metadata associated with a list of resources.
| Name | Type | Required | Description |
|---|---|---|---|
count |
number |
False |
|
createdBy |
string |
False |
UUID of the user who created the resource. |
creationTimestamp |
string |
False |
Resource creation date. |
labels |
array[type_bxp_label] |
False |
Array of name/value pairs representing additional information for the resource. |
modificationTimestamp |
string |
False |
Resource modification date. |
modifiedBy |
string |
False |
UUID of the user who modified the resource. |